﻿$ErrorActionPreference = 'Stop'; #Stop on all errors

$packageName = 'automiserunner' #Unique name of the package
$installerType = 'EXE' #Installer is an executable. 
$url = 'http://downloads.finalbuilder.com/downloads/automise/500/AutomiseRunner500_1177.exe' #URL to download installer for current version. 
$silentArgs = '/SP /VERYSILENT /SUPPRESSMSGBOXES /CLOSEAPPLICATIONS' #Silent install arguments for our installer
$validExitCodes = @(0) #Valid return codes from the installer for success
$checksum = '7C22D7DED28CBD2B49C63BBDF31F4022EB2358A188FF9E4A461F867D1F7E6C78'

#Run chocolatey install package commandlet
Install-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$url" -validExitCodes $validExitCodes -checksum $checksum -checksumType sha256